import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const provinceDispenserGetKillHouseService = createAsyncThunk(
  "PROVINCE-DISPENSER-KILL-HOUSE-SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house/?total-exclude-exclusive-killers=true"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
